Mailinglist Archive: opensuse-factory (1193 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180213 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180213

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
MozillaFirefox (58.0.1 -> 58.0.2)
autoyast2 (4.0.30 -> 4.0.31)
cryptsetup (2.0.0 -> 2.0.1)
cvs
dracut
fcitx-qt5 (1.2.1 -> 1.2.2)
grub2
hwinfo (21.51 -> 21.52)
installation-images-Kubic (14.358 -> 14.359)
jemalloc
kdump
libraw
libstorage-ng (3.3.156 -> 3.3.157)
libvirt
plasma5-pk-updates
python-numpy
rsibreak (0.12.7 -> 0.12.8)
rubygem-byebug (9.1.0 -> 10.0.0)
systemd
xorg-x11-server
xtables-addons (2.14_k4.15.2_1 -> 3.0_k4.15.2_1)
yast2-bootloader (4.0.16 -> 4.0.17)
yast2-core (4.0.1 -> 4.0.2)
yast2-installation (4.0.31 -> 4.0.32)
yast2-schema (4.0.0 -> 4.0.1)
yast2-services-manager (4.0.1 -> 4.0.2)
yast2-storage-ng (4.0.91 -> 4.0.93)
yast2-vm (3.2.4 -> 3.2.5)

=== Details ===

==== MozillaFirefox ====
Version update (58.0.1 -> 58.0.2)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 58.0.2:
* Blocklisted graphics drivers related to off main thread painting
crashes
* Fix tab crash during printing
* Fix clicking links and scrolling emails on Microsoft Hotmail
and Outlook (OWA) webmail
- correct requires and provides handling (boo#1076907)

==== autoyast2 ====
Version update (4.0.30 -> 4.0.31)
Subpackages: autoyast2-installation

- fate#319119
- yast2-ca-management is dropped
- 4.0.31

==== cryptsetup ====
Version update (2.0.0 -> 2.0.1)
Subpackages: libcryptsetup12 libcryptsetup12-32bit

- update to 2.0.1:
* To store volume key into kernel keyring, kernel 4.15 with
dm-crypt 1.18.1 is required
* Increase maximum allowed PBKDF memory-cost limit to 4 GiB
* Use /run/cryptsetup as default for cryptsetup locking dir
* Introduce new 64-bit byte-offset *keyfile_device_offset functions.
* New set of fucntions that allows 64-bit offsets even on 32bit systems
are now availeble:
- crypt_resume_by_keyfile_device_offset
- crypt_keyslot_add_by_keyfile_device_offset
- crypt_activate_by_keyfile_device_offset
- crypt_keyfile_device_read
The new functions have added the _device_ in name.
Old functions are just internal wrappers around these.
* Also cryptsetup --keyfile-offset and --new-keyfile-offset now
allows 64-bit offsets as parameters.
* Add error hint for wrongly formatted cipher strings in LUKS1 and
properly fail in luksFormat if cipher format is missing required IV.

==== cvs ====

- Don't create unused xinetd directory

==== dracut ====

- 95qeth_rules: Add new module to copy qeth rules (FATE#323440)
* Adds 0556-95qeth_rules-Add-new-module-to-copy-qeth-rules.patch
- Avoid executing emergency hook twice
* Adds 0555-Avoid-executing-emergency-hooks-twice.patch

==== fcitx-qt5 ====
Version update (1.2.1 -> 1.2.2)

- update version 1.2.2
* We already changed reset of code to use "isRelease" for
filterEventFallback. This check should be changed accordingly.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix incorrect check preventing the script from running (bsc#1078481)
* 80_suse_btrfs_snapshot

==== hwinfo ====
Version update (21.51 -> 21.52)
Subpackages: hwinfo-devel

- merge gh#openSUSE/hwinfo#57
- add another sanity check on scsi serial id (bsc#1078511)
- 21.52

==== installation-images-Kubic ====
Version update (14.358 -> 14.359)

- merge gh#openSUSE/installation-images#234
- add vmd.ko module (bsc#1079924)
- 14.359

==== jemalloc ====

- Disable THP for ARM (32 bits). This fix build by passing all
tests successfully

==== kdump ====

- kdump-nsswitch.conf-filtering.patch
- kdump-fix-missing-index-of-kdump_Host.patch: Fix missing index of
kdump_Host (bsc#1002617).
- kdump-bail-out-if-no-default-interface.patch: Bail out of
kdump_check_net if no default interface is found (bsc#1058202).
- kdump-calibrate-adjust-sizeof-struct-page.patch: calibrate:
Adjust sizeof(struct page).
- kdump-calibrate-update-kernel-text-data-size.patch: calibrate:
Update kernel text+data size.
- kdump-calibrate-update-user-space-requirements.patch: calibrate:
Update user-space requirements.

==== libraw ====
Subpackages: libraw-devel libraw16

- fix build with glibc 2.27 [bsc#1079853]
+ libraw-glibc-2.27.patch

==== libstorage-ng ====
Version update (3.3.156 -> 3.3.157)
Subpackages: libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#460
- Removed unit tests that clash with new glibc number formatting
(bsc#1079855)
- 3.3.157

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- Remove all uses of python2 during the build (bsc#1080034)
6b3d716e-keycodemap-py3.patch
apibuild-py3.patch
- Determine hostname early to avoid code injection
in lxc driver. (bsc#1080042)
759b4d1b-virlog-determine-the-hostname-on-startup-CVE-2018-67.patch
c2dc6698-fix-deadlock-obtaining-hostname.patch
- Add basic support of connectGetAllDomainStats for lxc driver
(fate#323742)
0001-Extract-stats-functions-from-the-qemu-driver.patch
0002-lxc-implement-connectGetAllDomainStats.patch

==== plasma5-pk-updates ====
Subpackages: plasma5-pk-updates-lang

- Add patch to close the plasmoid after update installation (boo#1077633):
* 0001-Close-the-plasmoid-after-updates-got-installed.patch

==== python-numpy ====
Subpackages: python2-numpy python3-numpy

- Fix summary in module files (bnc#1080259)

==== rsibreak ====
Version update (0.12.7 -> 0.12.8)
Subpackages: rsibreak-lang

- Update to 0.12.8:
* Translation improvements
* Free the user if hibernation happened while the countdown was
shown (kde#384783)
* Slideshow: add the ability to select how to keep aspect ratio
for image
* Add pause skip threshold

==== rubygem-byebug ====
Version update (9.1.0 -> 10.0.0)

- updated to version 10.0.0
see installed CHANGELOG.md

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-bash-completion systemd-logger
systemd-sysvinit udev

- Import commit 4a6a1e4f0b02e6cedf7eba93b85a6dd968f875c7
db1d8eacd compat-rules: make path_id_compat build with meson
- Drop 0001-compat-rules-make-path_id_compat-build-with-meson.patch
which is now part of the git repo (see above).
- Don't ship /usr/lib/systemd/system/tmp.mnt at all (bsc#1071224)
The previous fix couldn't work on platforms using a RO
rootfs. Therefore we don't ship /usr/lib/systemd/system/tmp.mnt but
we still ship a copy in /var.
Users who want to use tmpfs on /tmp are supposed to add a symlink in
/etc/ pointing to the copy shipped in /var.
To support the update path we automatically create the symlink if
tmp.mount in use is located in /usr.
- Don't build seccomp support in the mini package
- Switch to Meson build system
Some rearrangement in the file list was also needed. That was
probably due to the upgrade of rpm.
- Import commit 0a5600eb7f8263c7c79fec0d85cc159d54aba636
2a181fc6f insserv-generator: make it build with meson
7b0401da4 build-sys: don't build networkctl if networkd is disabled
- Don't build-require selinux for the mini package
- Drop libgcrypt.m4
The mini package builds fine without it so it doesn't seem necessary
anymore.
- Import commit 846d838c37865da60eba48090e570e959291399f
b1e0a348d fileio: include sys/mman.h
f1fa784cb meson: update header file to detect memfd_create()
8838ba7ec meson: define _GNU_SOURCE to detect copy_file_range() (#7734)
531a00c84 Restore "restore /var/run and /var/lock bind mount if they aren't
symlink""
(the 3 first commits make systemd build against glibc 2.27)
- Import commit 3f421e4fbf6fcb31d74caf729435868ba8824483
7fb9ea39a Revert "restore /var/run and /var/lock bind mount if they aren't
symlink"
23ce1207a meson.build: make docdir configurable (#8068)

==== xorg-x11-server ====
Subpackages: xorg-x11-server-sdk xorg-x11-server-wayland

- U_0001-animcur-Use-fixed-size-screen-private.patch,
U_0002-animcur-Return-the-next-interval-directly-from-the-t.patch,
U_0003-animcur-Run-the-timer-from-the-device-not-the-screen.patch,
U_0004-animcur-Fix-transitions-between-animated-cursors.patch
* There is a bug in version 1.19 of the X.org X server that can
cause an infinite recursion in the animated cursor code, which
has been fixed by these patches (boo#1080312)
- supersedes u_cursors-animation.patch (boo#1020061)

==== xtables-addons ====
Version update (2.14_k4.15.2_1 -> 3.0_k4.15.2_1)

- Update to new upstream release 3.0
* Support for Linux 4.16
* Dropped support for Linux kernels older than 4.15
- Remove init_timer.patch

==== yast2-bootloader ====
Version update (4.0.16 -> 4.0.17)

- Detect properly that unknown device is used in bootloader
configuration (bsc#1078713)
- 4.0.17

==== yast2-core ====
Version update (4.0.1 -> 4.0.2)

- glibc-2.27 compatibility: Removed an overly specific test case
for certain localized numbers (bsc#1079630)
- 4.0.2

==== yast2-installation ====
Version update (4.0.31 -> 4.0.32)

- Startup scripts: Replaced xinetd by xvnc.socket (fate#323373)
- Revert changes added in 4.0.29 bringing back the enablement of
the xvnc.socket during the first stage if Linuxrc.vnc is set.
(bnc#1077236)
- 4.0.32

==== yast2-schema ====
Version update (4.0.0 -> 4.0.1)

- drop yast2-ca-management (fate#319119)
- 4.0.1

==== yast2-services-manager ====
Version update (4.0.1 -> 4.0.2)

- Drop xinetd service protected for xvnc as it now uses service
(fate#323373)
- 4.0.2

==== yast2-storage-ng ====
Version update (4.0.91 -> 4.0.93)

- add format options dialog (bsc#1077868)
- 4.0.93
- More reasonable location in the disk for the partitions proposed
to make the system bootable (bsc#1073680 and bsc#1076851).

==== yast2-vm ====
Version update (3.2.4 -> 3.2.5)

- The check for TextMode was in the wrong place and
useless. Move it and update package list if user
doesn't want GUI components installed. (bsc#1077694)
- 3.2.5


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages